/* Navigációs menü stílusok */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 1000;
    backdrop-filter: blur(10px);
}

.logo,
.logo img {
    width: 70px;
    margin-left: 20px;
    position: relative;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 20px;
    margin-right: 20px;
    font-weight: bold;
}

.nav-links a {
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 14px;
    font-weight: bold;
    position: relative;
    padding-bottom: 5px;
}

.nav-links a::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: #7DFF91;
    bottom: 0;
    left: 0;
    transform: scaleX(0);
    transform-origin: bottom right;
    transition: transform 0.5s ease-in-out;
}

.nav-links i{
    padding-left: 10px;
    font-size: 1rem;
}

.nav-links a:hover::before {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.menu-icon {
    display: none;
    font-size: 24px;
    color: white;
    cursor: pointer;
}
